#include "FontType.hpp"

namespace vkvm {

    FontType::FontType(int id, const char * name, int height, int width) noexcept : id(id), name(name), height(height), width(width) {
    }

    auto FontType::getId() const -> int {
        return id;
    }

    auto FontType::getName() const -> std::string {
        return std::string(name);
    }

    auto FontType::getHeight() const -> int {
        return height;
    }

    auto FontType::getWidth() const -> int {
        return width;
    }

}