#ifndef LIBRARY_KEYCODE_HPP
#define LIBRARY_KEYCODE_HPP

#include <sys/types.h>

namespace vkvm {

    class KeyCode {
    private:
        int value;
    public:
        explicit KeyCode(int value) noexcept;

        auto getValue() -> int;
    };

    const static KeyCode Backspace = KeyCode(8);
    const static KeyCode tabulator = KeyCode(9);

}

#endif